Name:		ethtool
Version:	6.6
Release:	%mkrel 1
Summary:	Utility for controlling network drivers and hardware
License:	GPL
Group:		System/Configuration/Networking
URL:		http://ftp.kernel.org/pub/software/network/ethtool/
Source:		http://ftp.kernel.org/pub/software/network/%{name}/%{name}-%{version}.tar.xz
Source1:    %name.init
Source2:    %name.sysconfig
BuildRequires: lib64mnl-devel
Epoch: 1

%description
Standard Linux utility for controlling network drivers and hardware,
particularly for wired Ethernet devices. It can be used to:
* Get identification and diagnostic information
* Get extended device statistics
* Control speed, duplex, autonegotiation and flow control for Ethernet devices
* Control checksum offload and other hardware offload features
* Control DMA ring sizes and interrupt moderation
* Control receive queue selection for multiqueue devices
* Upgrade firmware in flash memory

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

%build
%configure2_5x
%make_build

%install
rm -rf %buildroot
%makeinstall_std
#install -pDm755 {SOURCE1} buildroot/{_initrddir}/{name}
#install -pDm644 {SOURCE2} buildroot/{_sysconfdir}/sysconfig/{name}

%files
#config(noreplace) {_sysconfdir}/sysconfig/{name}
#{_initrddir}/*
%{_mandir}/*/*
%{_sbindir}/%{name}
%{_datadir}/bash-completion/completions/ethtool



%post
if [ -f %{_initrddir}/%{name} ]; then
/sbin/service %name stop >/dev/null 2>&1
/sbin/chkconfig %name off >/dev/null 2>&1
/bin/rm -f %{_initrddir}/%{name} >/dev/null 2>&1
/bin/rm -f %{_sysconfdir}/sysconfig/%{name} >/dev/null 2>&1
/bin/rm -f /etc/rc.d/rc?.d/*ethtool >/dev/null 2>&1
fi
exit 0

%preun
if [ -f %{_initrddir}/%{name} ]; then
%_preun_service %name
fi

%changelog
* Thu Jan 11 2024 tex - 6.6-1pclos2024
- new version

